cancel
Showing results for 
Search instead for 
Did you mean: 

firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

Highlighted
New Contributor

firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

I am currently using Linux Mint 14 with Firefox 21. I am trying to add new themes and add ons, but I keep getting the message "firefox cannot modify the needed file in linux". How can I correct this?

Thanks

6 REPLIES
Grand Master Contributor

Re: firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

Click the Firefox button at the top left, then click the Help menu and select Troubleshooting Information from the submenu. If you don't have a Firefox button, click the Help menu at the top and select Troubleshooting Information from the menu. Go to Open Profile Directory (or something similar) and delete a file named user.js

New Contributor

Re: firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

I did as you suggested, but there is no file named user.js in the Profile Directory.

Thanks

Site Moderator

Re: firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

This happens when an add-on needs to be unpacked in order to work properly and this hasn't happened.

Grand Master Contributor

Re: firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

Create a new profile:

  1. Hold Alt + F2 or Super (windows key + R)
  2. type "firefox --profile manager"
  3. a window will show, add a new profile
  4. make sure you uncheck Dont ask on startup
  5. See if issues resolves (go to the profile you just created)

http://kb.mozillazine.org/Profile_Manager

New Contributor

Re: firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

Sorry, but this looks like it is for someone who has more Linux knowledge than I do, maybe for a developer.

Thanks

Grand Master Contributor

Re: firefox cannot modify the needed file. I get this message when I try to add a theme. I am using Linux Mint 14.

I edited it.